<script setup lang="ts">
import { useCartHistory } from "../../stores/cartHistory";
const cartHis = useCartHistory();
</script>

<template>
  <v-container>
    <v-table>
      <thead>
        <tr>
          <th class="text-center">No.</th>
          <th class="text-center">ชื่อ</th>
          <th class="text-center">จำนวน</th>
          <th class="text-center">สถานะ</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="item of cartHis.cartHis" :key="item.id">
          <td>{{ item.id }}</td>
          <td>{{ item.name }}</td>
          <td style="width: 100px" justify-center>
            {{ item.quantity }}
          </td>
          <td>{{ item.status }}</td>
        </tr>
      </tbody>
    </v-table>
  </v-container>
</template>

<style scoped></style>
